#### PyKDE - Python Bindings for KDE

# class KParts.PartSelectEvent |
Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Class | KParts.PartSelectEvent
Inherits | KParts.Event

### methods

- PartSelectEvent (selected, part, widget)

  returns a PartSelectEvent instance
  Argument | Type | Default
  --- | --- | ---
  selected | bool |
  part | KParts.Part |
  widget | QWidget |

- part ()

  returns (KParts.Part)

- selected ()

  returns (bool)

- test (event)

  returns (bool)
  static
  Argument | Type | Default
  --- | --- | ---
  event | QEvent |

- widget ()

  returns (QWidget)